500 ISE on creating an activation key with same name as the one already exists in other org

06/23/2014 11:57 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Christine Fouant   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1105024 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1105024

Description of problem:

I created an org "org1" and created a activation key with name "ak1" under org1.

Later, i created another org "org2" and tried to create an activation key with same name "ak1" (as the one already in org1) but this

time I couldn't able to save the create activation key form. And production.log thrown an 500 Internal Server error:

Processing by Katello::Api::V2::ActivationKeysController#create as JSON

Parameters: {"usage_limit"=>-1, "name"=>"ak1", "environment"=>{"id"=>2, "name"=>"Library", "select"=>true, "selected"=>true},

"content_view_id"=>2, "organization_id"=>"3", "api_version"=>"v2", "activation_key"=>{"name"=>"ak1", "organization_id"=>"3",

"usage_limit"=>-1, "content_view_id"=>2}}

PGError: ERROR:  duplicate key value violates unique constraint "index_activation_keys_on_label"

Version-Release number of selected component (if applicable):

sat6 beta snap8 (Satellite-6.0.3-RHEL-6-20140604.0)

How reproducible:

always

Steps to Reproduce:

1. Create org1

2. create activation key with name ak1 under org1

3. create org2

4. create another activation key with same name "ak1" under "org2"

Actual results:

Processing by Katello::Api::V2::ActivationKeysController#create as JSON

Parameters: {"usage_limit"=>-1, "name"=>"ak1", "environment"=>{"id"=>2, "name"=>"Library", "select"=>true, "selected"=>true},

"content_view_id"=>2, "organization_id"=>"3", "api_version"=>"v2", "activation_key"=>{"name"=>"ak1", "organization_id"=>"3",

"usage_limit"=>-1, "content_view_id"=>2}}

PGError: ERROR:  duplicate key value violates unique constraint "index_activation_keys_on_label"

Expected results:

I think user should be able to create activation key with same name in two different orgs and there shouldn't be any error in

production.log

Additional info:

Associated revisions

Revision c61c7c7b - 06/25/2014 06:20 PM - Christine Fouant

fixes #6336, #6255 - Fixes issue with not being able to use same name for an activation key across multiple orgs, BZ 1105024, BZ 1109907, BZ

1105024

Revision fc12f932 - 06/25/2014 07:11 PM - Justin Sherrill

Merge pull request #4328 from cfouant/fixes-6336
https://bugzilla.redhat.com/show_bug.cgi?id=1105024


fixes #6336 - Fixes issue with not being able to use same name for an activation key across multiple orgs, BZ 1105024

History

#1 - 06/23/2014 11:58 AM - Thomas McKay

- Status changed from New to Assigned

- Target version set to 48

- Triaged set to No

#2 - 06/23/2014 01:31 PM - Christine Fouant

- Assignee changed from Thomas McKay to Christine Fouant

#3 - 06/25/2014 07:52 PM - Christine Fouant

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c61c7c7b262b1563407477a068ce2d963fb11db2.

#4 - 06/28/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
